Summary: Tools for the hotpluggable PCMCIA subsystem
Name: pcmciautils
Version: 018
Release: %mkrel 3
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Kernel and hardware
Url: http://www.kernel.org/pub/linux/utils/kernel/pcmcia/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: byacc
BuildRequires: libsysfs-devel
BuildRequires: flex
Provides:     pcmcia-cs
Obsoletes:     pcmcia-cs
Conflicts:	drakxtools-backend < 10.4.33-1mdv2007.0

%description
PCMCIAutils contains hotplug scripts and initialization tools
necessary to allow the PCMCIA subsystem to behave (almost) as every
other hotpluggable bus system (e.g. USB, IEEE1394).

Please note that the kernel support for this new feature is only
present since 2.6.13-rc1.

%prep
%setup -q

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

# write /etc/modprobe.preload.d/pcmcia file on migration from old pcmcia-cs
%triggerpostun -p /usr/bin/perl -- pcmcia-cs, %{name} < 014-3mdv2007.0
use lib qw(/usr/lib/libDrakX);
use harddrake::autoconf;
use detect_devices;
my $controller = detect_devices::pcmcia_controller_probe();
harddrake::autoconf::pcmcia($controller && $controller->{driver});

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pcmcia/config.opts
/sbin/lspcmcia
/sbin/pccardctl
/lib/udev/rules.d/60-pcmcia.rules
/lib/udev/pcmcia-check-broken-cis
/lib/udev/pcmcia-socket-startup
%{_mandir}/man*/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 018-3.mga3
+ Revision: 362658
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 20 2011 colin <colin> 018-2.mga2
+ Revision: 184848
- Static udev rules should not be in /etc

  + tv <tv>
    - new release
    - reverse -j2 debug

* Thu Apr 14 2011 tv <tv> 017-1.mga1
+ Revision: 85186
- drop patch 0 & 1
- patch 0: fix udev rules location
- new release

* Mon Feb 07 2011 dmorgan <dmorgan> 015-6.mga1
+ Revision: 48606
- imported package pcmciautils

